Bug 1857008 - [Edge] [BareMetal] Not provided STATE value for machines
Summary: [Edge] [BareMetal] Not provided STATE value for machines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.8.0
Assignee: Angus Salkeld
QA Contact: Lubov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-14 23:36 UTC by Elena German
Modified: 2021-07-27 22:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The machine instance state annotation was not set Consequence: This caused the STATE column to be empty. Fix: The annotation is now set. Result: The STATE column is now set.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:32:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
cli log (3.82 KB, text/plain)
2020-07-14 23:36 UTC, Elena German
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-baremetal pull 142 0 None open Bug 1857008: Set the machine instance state annotation 2021-03-09 03:04:29 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:32:43 UTC

Description Elena German 2020-07-14 23:36:05 UTC
Created attachment 1701135 [details]
cli log

Description of problem:

Version-Release number of the following components:
Client Version: 4.5.0-0.nightly-2020-06-05-214616
Server Version: 4.5.0-0.nightly-2020-07-06-211538
Kubernetes Version: v1.18.3+6025c28

How reproducible:
always

Steps to Reproduce:
1. Deploy a baremetal IPI cluster that includes workers
2. Look at the Machine resources

Actual results:
There is no STATE set 

Expected results:
the STATE should be set on machine resources

Additional info:
log attached

Comment 4 Angus Salkeld 2021-03-05 05:15:11 UTC
@elgerman is this still an issue? This was raised a long time ago

Comment 5 Angus Salkeld 2021-03-05 06:03:57 UTC
with 4.8.0-0.nightly-2021-03-04-230423

oc get machines -n openshift-machine-api -o wide
NAME                         PHASE     TYPE   REGION   ZONE   AGE   NODE       PROVIDERID                                                                                   STATE
glade-n4r7s-master-0         Running                          38m   master-0   baremetalhost:///openshift-machine-api/glade-master-0/c2138a05-5fa7-4f2b-b9cf-58a23ca1c4de   
glade-n4r7s-master-1         Running                          38m   master-1   baremetalhost:///openshift-machine-api/glade-master-1/fb3fee88-c446-47e4-83a1-be92739eb272   
glade-n4r7s-master-2         Running                          38m   master-2   baremetalhost:///openshift-machine-api/glade-master-2/5c2fa4ca-1815-4ce3-9b3d-7aa189c3c351   
glade-n4r7s-worker-0-gg5zl   Running                          23m   worker-0   baremetalhost:///openshift-machine-api/glade-worker-0/e5dc037e-eb71-413c-b6c9-5cbd76fcd9ad   
glade-n4r7s-worker-0-gmxvb   Running                          23m   worker-1   baremetalhost:///openshift-machine-api/glade-worker-1/3352d6fd-1bb0-4d43-b60d-d0036bb00a6a

Comment 7 Lubov 2021-03-30 14:35:56 UTC
verified on 4.8.0-0.nightly-2021-03-26-054333

$ oc get machines -n openshift-machine-api -o wide
NAME                                      PHASE     TYPE   REGION   ZONE   AGE   NODE         PROVIDERID                                                                                         STATE
ocp-edge-cluster-0-8lsks-master-0         Running                          27h   master-0-0   baremetalhost:///openshift-machine-api/openshift-master-0-0/409c6c4a-451d-4ace-b98a-21d2d7007ca7   externally provisioned
ocp-edge-cluster-0-8lsks-master-1         Running                          27h   master-0-1   baremetalhost:///openshift-machine-api/openshift-master-0-1/397f6258-bd20-4a56-a283-dd9c068bc834   externally provisioned
ocp-edge-cluster-0-8lsks-master-2         Running                          27h   master-0-2   baremetalhost:///openshift-machine-api/openshift-master-0-2/23be7393-38f8-4b7c-81fc-a0bf9e34bb98   externally provisioned
ocp-edge-cluster-0-8lsks-worker-0-b2tsm   Running                          27h   worker-0-1   baremetalhost:///openshift-machine-api/openshift-worker-0-1/5a32ecea-a055-4567-9999-0f79c6b6029e   provisioned
ocp-edge-cluster-0-8lsks-worker-0-vgvrc   Running                          27h   worker-0-0   baremetalhost:///openshift-machine-api/openshift-worker-0-0/6e9d9ff1-63d6-4484-84a6-64c833dde7cf   provisioned

Comment 10 errata-xmlrpc 2021-07-27 22:32:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.